"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withSpinner = void 0;
const ora = require("ora");
const withSpinner = (msg) => async (target) => {
    if (process.env.DEBUG) {
        return target();
    }
    const spinner = ora();
    try {
        spinner.start(msg);
        const result = await target();
        spinner.succeed(`${msg} - done`);
        return result;
    }
    catch (e) {
        spinner.fail(`${msg} - failed`);
        throw e;
    }
};
exports.withSpinner = withSpinner;
//# sourceMappingURL=withSpinner.js.map